CATOPEN(3)

NAME
catopen - open message catalog

SYNOPSIS
#include <nl_types.h>
nl_catd
catopen(const char *name, int oflag);

DESCRIPTION
The catopen() function opens the message catalog specified by name and returns a message catalog descriptor. If name contains a ‘/’, then name specifies the full pathname for the message catalog, otherwise the value of the environment variable NLSPATH is used with name substituted for ‘%N’.

If the oflag argument is NL_CAT_LOCALE, the LC_MESSAGES environment variable is used to select the message catalog. If the oflag argument is zero, the LANG environment variable is used to select the message catalog.

RETURN VALUES
Upon successful completion, catopen() returns a message catalog descriptor. Otherwise, -1 is returned and errno is set to indicate the error.

SEE ALSO
catclose(3), catgets(3)

STANDARDS
The catopen() function conforms to p1003.1-2008.